
import { Injectable } from '@nestjs/common';
import { UsersService } from 'src/identity-and-account/users-management/services/users.service';
import { UserDto } from 'src/identity-and-account/users-management/user.dto';

@Injectable()
export class AuthentikAuthService {
  constructor(private usersService: UsersService) {}

  async validateUser(user_email: string): Promise<Partial<UserDto>> {
    const user = await this.usersService.findOneByEmail(user_email);
    
    return user;
  }
}
